[med-svn] [Git][med-team/pbdagcon][master] 8 commits: Add autopkgtests

Pranav Ballaney gitlab at salsa.debian.org
Sun Aug 23 20:38:52 BST 2020



Pranav Ballaney pushed to branch master at Debian Med / pbdagcon


Commits:
9edbe803 by Pranav Ballaney at 2020-08-24T01:02:58+05:30
Add autopkgtests

- - - - -
e1512cb4 by Pranav Ballaney at 2020-08-24T01:03:04+05:30
Install docs

- - - - -
46d56dc7 by Pranav Ballaney at 2020-08-24T01:03:36+05:30
Add Pranav Ballaney to Uploaders

- - - - -
034d930e by Pranav Ballaney at 2020-08-24T01:03:59+05:30
Update changelog

- - - - -
30a4838d by Pranav Ballaney at 2020-08-24T01:04:10+05:30
routine-update: debhelper-compat 13

- - - - -
fed1eef6 by Pranav Ballaney at 2020-08-24T01:04:14+05:30
routine-update: Add salsa-ci file

- - - - -
e4f04611 by Pranav Ballaney at 2020-08-24T01:04:14+05:30
routine-update: Rules-Requires-Root: no

- - - - -
4507c237 by Pranav Ballaney at 2020-08-24T01:05:21+05:30
routine-update: Ready to upload to unstable

- - - - -


7 changed files:

- + debian/README.test
- debian/changelog
- debian/control
- debian/docs
- + debian/salsa-ci.yml
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/changelog
=====================================
@@ -1,3 +1,14 @@
+pbdagcon (0.3+git20180411.c14c422+dfsg-2) unstable; urgency=medium
+
+  * Add autopkgtests
+  * Install docs
+  * Add Pranav Ballaney to Uploaders
+  * debhelper-compat 13 (routine-update)
+  * Add salsa-ci file (routine-update)
+  * Rules-Requires-Root: no (routine-update)
+
+ -- Pranav Ballaney <ballaneypranav at gmail.com>  Mon, 24 Aug 2020 01:04:20 +0530
+
 pbdagcon (0.3+git20180411.c14c422+dfsg-1) unstable; urgency=medium
 
   * Add myself to Uploaders to have at least one human uploader after


=====================================
debian/control
=====================================
@@ -1,9 +1,10 @@
 Source: pbdagcon
 Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille at debian.org>
+Uploaders: Andreas Tille <tille at debian.org>,
+           Pranav Ballaney <ballaneypranav at gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                python3,
                zlib1g-dev,
                libhdf5-dev,
@@ -19,6 +20,7 @@ Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/pbdagcon
 Vcs-Git: https://salsa.debian.org/med-team/pbdagcon.git
 Homepage: https://github.com/PacificBiosciences/pbdagcon
+Rules-Requires-Root: no
 
 Package: pbdagcon
 Architecture: any


=====================================
debian/docs
=====================================
@@ -1 +1,3 @@
 README.md
+debian/README*
+debian/tests/run-unit-test
\ No newline at end of file


=====================================
debian/salsa-ci.yml
=====================================
@@ -0,0 +1,4 @@
+---
+include:
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,45 @@
+#!/bin/bash
+set -e
+
+pkg=pbdagcon
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd "${AUTOPKGTEST_TMP}"
+
+echo -e "\e[93m\e[1mTest 1\e[0m"
+rangen 0.005 -r2020 > target.fasta
+fasta2DAM target target.fasta
+dsimulator target -c20. -r2020 > queries.fasta
+blasr queries.fasta target.fasta -m 5 --out mapped.m5
+pbdagcon mapped.m5 > consensus.fasta
+
+echo "6977ed74eab5a8b58c3a90e10f1cb96c  consensus.fasta" >> checksums
+echo "327a35213054ec8702ea35b85f3b3c44  mapped.m5" >> checksums
+echo "11015d691ec4d33c7ec4d8125349b739  queries.fasta" >> checksums
+echo "160c2f8c3aeb52c98403c2c1c677c13e  target.dam" >> checksums
+echo "63690c9bbfd08ef3ff51d040d619056a  target.fasta" >> checksums
+
+md5sum --check checksums
+echo -e "\e[92m\e[1mPassed\e[0m"
+
+
+echo -e "\e[93m\e[1mTest 2\e[0m"
+rangen 0.01 -r2020 >R.fasta           
+fasta2DAM R R.fasta           
+dsimulator R -c20. -r2020 >G.fasta   
+fasta2DB G G.fasta            
+DBsplit -s0.1 G                
+DBdust G.1                    
+DBdust G.2             
+HPC.daligner -mdust -t5 G | sh -v
+dazcon -ox -j 4 -s G.db -a G.1.las > corrected.fasta
+
+echo -e "\e[92m\e[1mPassed\e[0m"
\ No newline at end of file



View it on GitLab: https://salsa.debian.org/med-team/pbdagcon/-/compare/34e42f3da102b3840ce3876056d6d8fb119c6d6b...4507c237ca1676a0acb8e6e95925a9b4340518ca

-- 
View it on GitLab: https://salsa.debian.org/med-team/pbdagcon/-/compare/34e42f3da102b3840ce3876056d6d8fb119c6d6b...4507c237ca1676a0acb8e6e95925a9b4340518ca
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200823/7bee20cc/attachment-0001.html>


More information about the debian-med-commit mailing list